Upstream information

CVE-2018-11759 at MITRE

Description

The Apache Web Server (httpd) specific code that normalised the requested path before matching it to the URI-worker map in Apache Tomcat JK (mod_jk) Connector 1.2.0 to 1.2.44 did not handle some edge cases correctly. If only a sub-set of the URLs supported by Tomcat were exposed via httpd, then it was possible for a specially constructed request to expose application functionality through the reverse proxy that was not intended for clients accessing the application via the reverse proxy. It was also possible in some configurations for a specially constructed request to bypass the access controls configured in httpd. While there is some overlap between this issue and CVE-2018-1323, they are not identical.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High High
Integrity Impact None None
Availability Impact None None
SUSE Bugzilla entry: 1114612 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Server Applications 15
  • apache2-mod_jk >= 1.2.43-3.3.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-2018-2828
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • apache2-mod_jk >= 1.2.43-3.3.1
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 SP1 GA apache2-mod_jk
SUSE Linux Enterprise Server 11 SP4
  • apache2-mod_jk >= 1.2.40-0.2.5.1
Patchnames:
slessp4-apache2-mod_jk-13888
SUSE Linux Enterprise Server 12 SP3
  • apache2-mod_jk >= 1.2.40-7.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1400
SUSE Linux Enterprise Server 12 SP4
  • apache2-mod_jk >= 1.2.40-7.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1400
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • apache2-mod_jk >= 1.2.40-0.2.5.1
Patchnames:
slessp4-apache2-mod_jk-13888
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • apache2-mod_jk >= 1.2.40-7.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-1400
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • apache2-mod_jk >= 1.2.40-7.3.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-1400
openSUSE Leap 15.0
  • apache2-mod_jk >= 1.2.43-lp150.2.3.1
  • apache2-mod_jk-debuginfo >= 1.2.43-lp150.2.3.1
  • apache2-mod_jk-debugsource >= 1.2.43-lp150.2.3.1
Patchnames:
openSUSE-2019-970


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise High Performance Computing 12 apache2-mod_jk Affected
SUSE Linux Enterprise Module for Server Applications 15 GA apache2-mod_jk Released
SUSE Linux Enterprise Server 11 SP3 LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 11 SP4 apache2-mod_jk Released
SUSE Linux Enterprise Server 12 GA LTSS apache2-mod_jk In progress
SUSE Linux Enterprise Server 12 SP1 LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP2 LTSS apache2-mod_jk Affected
SUSE Linux Enterprise Server 12 SP3 apache2-mod_jk Released
SUSE Linux Enterprise Server 12 SP4 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 GA apache2-mod_jk In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP2 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 apache2-mod_jk Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 apache2-mod_jk Affected